function MainAssistant() {
	
}
//*****************************************************
MainAssistant.prototype.setup = function() {

//--------------------------------------------------------------------------
	this.controller.serviceRequest('palm://com.palm.connectionmanager', {
    	method: 'getstatus',
	    parameters: {subscribe:true},
	    onSuccess: function(response){
	    		this.internetAvailable=response.isInternetConnectionAvailable;
				if(!this.internetAvailable)
				{
					this.controller.showAlertDialog({
        			onChoose: function(value) {},
        			title: "Отсутствует интернет",
        			preventCancel: true,
        			message:
            		"Для работы программы необходимо интернет соединение",
        			choices: [
            		{label:$L("OK"), value:""}
        			]
    				});
				}
	    }.bind(this),
	    onFailure: function(){}.bind(this)
	});
	
//---------------------------menu--------------------------
	this.appMenuModel = {
		visible: true,
		items: [
			{ label: "Настройки...", command: 'do-myPrefs' },
    		{ label: "О программе...", command: 'do-myHelp' }
		]
	};

	this.controller.setupWidget(Mojo.Menu.appMenu, {omitDefaultItems: true}, this.appMenuModel);
//---------------------------------------------------------------------------	
	

	this.buttonAttributes = {};

     this.buttonModel = {
     "buttonLabel" : "КАМЕРА",
     "buttonClass" : "",
     "disabled" : false
     };
     this.controller.setupWidget('cam', this.buttonAttributes, this.buttonModel);
     this.buttonPressed = this.buttonPressed.bind(this);
     Mojo.Event.listen(this.controller.get('cam'),Mojo.Event.tap,this.buttonPressed);
     
}

//********************************************************
MainAssistant.prototype.handleCommand = function (event) {
	this.controller=Mojo.Controller.stageController.activeScene();
    if(event.type == Mojo.Event.command) {	
		switch (event.command) {
			
			
			case 'do-myPrefs':
				this.controller.stageController.pushScene('option');	
				break;	

			case 'do-myHelp':
				this.controller.stageController.pushScene('about');					
				break;
						
			
		}
	}
}
//********************************************************
MainAssistant.prototype.activate = function(response) {

	
	prefs_cookie = new Mojo.Model.Cookie('camcooki');
	prefs = prefs_cookie.get()

	if (response) {
		if (response.returnValue) {
		//---------------------email--------------------
		this.controller.serviceRequest('palm://com.palm.applicationManager', {
		
		
		method: 'open',
		parameters: {
			id: 'com.palm.app.email',
			params: {
			summary: "Email from cam",
					text: prefs.mytext,
					recipients: [{
						value : prefs.myemail,
						contactDisplay : 'Получатель'}
						],
					attachments: [{fullPath: "/media/internal/mail.jpg"}]
			}															
		}
		});
		//-----------------------------------------
		
		} else {
		//this.showDialogBox("No Picture", "");
	}
	} else {
	Mojo.Log.info("Picture not requested");
	}
	
}
//**********************************************************

MainAssistant.prototype.deactivate = function(event) {
	
	
}


//*************************************************************
MainAssistant.prototype.buttonPressed = function(event){
				
		
	/*Mojo.Controller.errorDialog("error message.");*/
	
	
	
	//----------------camera-------------------------------
	this.controller.stageController.pushScene(
    { appId : 'com.palm.app.camera', name: 'capture' },
    { sublaunch : true, filename : '/media/internal/mail.jpg' }
	);
	//------------------------------------------------------
	
}
 
MainAssistant.prototype.cleanup = function(event) {
	Mojo.Event.stopListening(this.controller.get('cam'),Mojo.Event.tap, this.launchAuth);

}
